/*
 * config.h - methods and constants for driver
 * This file is part of MySocials driver library
 *
 * Copyright (C) 2010 - MySocials team
 *
 * libvkontakte library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * libvkontakte library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with libvkontakte library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 */
#ifndef _DRIVER_CONFIG_H_
#define _DRIVER_CONFIG_H_

//settings
#define DRIVER_ID "mymail"
#define DRIVER_NAME "MyMail"

#define DRIVER_PIC "/9j/4AAQSkZJRgABAQEAZABkAAD/2wBDAAEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEB\
AQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQH/2wBDAQEBAQEBAQEBAQEBAQEBAQEBAQEB\
AQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQH/wAARCABAAEADAREA\
AhEBAxEB/8QAHQAAAQQDAQEAAAAAAAAAAAAAAAEHCAkEBgoFAv/EADgQAAAGAQMBAgwFBAMAAAAA\
AAECAwQFBgcACBESFSETFDFBUWFikZKh0dIJFiIyohdCsfCCwfH/xAAeAQABAwUBAQAAAAAAAAAA\
AAAAAQgJBAUGBwoDAv/EADkRAAICAgECAwUGAwcFAAAAAAMEAgUBBgcAEQgSFBMVIVGhCRYxQWLR\
cbHwF1JhgZGSwSNCouHx/9oADAMBAAIRAxEAPwCoTtf2h+ImpkOoM/dv6fp0vbPdx1D8Zfrx8tHR\
7t/T9OkCX9ofT+4nm0dHu39PSjLjzyIm+Iv+R7/npe2fln/TpPd2Plj6dHbHA89Q89/95f8A356T\
pfdv6fp0dseX9Q9/f+8v++/nR0e7f0/TpO1/aH4iaOj3b+n6dKMzz/cPxl/7EdHR7t/T9Om1GVHz\
GHy+35Pn/vn0fD8/59v+M9ZnhDP5x+n/AM/56BlTeYw+8/0H/Ol+H+Of88Y+nbP8+jCGfzj/AOP/\
ALx1JHZ/QZTNu4mn45iKg5vztWNmrGepoGbFLLoQTVZ6sk7VfOGbRJmi3brKKEcOUCvHAsmCZlXD\
tJu4jF+0N8SOxcTLUWla3srulCs6eGwbJstccyln6GwsHKWqq66wUh69DMma+wasD1xBuZH6PGDB\
Vg7A8pv2fHhv473LX9y5j5JqKfZEtf2EGpa1S3q2HqdWyXr6+4tre0qj4KjZ5yC3qE6wNgu2mLOb\
UpFCM4SYUmduowdYYKNlHK2FrrTG0Wgusso4oc9ENYxFqU3hFjuTxaDZu3QTKImXFUqJCB1ifoHn\
UVOrcwXilmvc69yhaBt5niUVnV7k2OwOWU8SxiTAbCLDEjTzjBAlyTBvNkZhyxPMcy5z0PjXaKjN\
Faado2wUJh4DKpa1+iersD8uYxiJSakhAkOEs5DMERFDPEZhmMsIyxUnHzx3CSwHUBQzd0u28KQR\
4WIkJRTV4LwAGMQ5QP0gBTGATFACmAoT8eE/lm95g4kUvtnyEuxUlu3q9w8EUQRtGUFK94NkRaEY\
CXZZQs0/WQBGK03YMmWGuEkFAc/HjZ4E13gvm1vXdPGZbVtjoa/c6OsOabc6Za0csq5qqG2bMjsq\
K2lPYe75sym0JAiyzR22AEcYzu1vWP8AP66cv00X3fL5fTH7dHa3rH+f10dHu+Xy+mP26O1vWP8A\
P66Oj3fL5fTH7dN32gPpD3h9mvLz5+WPr+/WZ+lx8s/7cft0doCPkEPeH2aPaZx+Pb+v8+j0uPln\
/bj9urtfwP8AKOOKPnnIrCwmjWOR7hToiKx/KPVQQcuomMk5CWuVYjVFDkSVdyZkq3PGZJlF24bV\
dy5RKKLFcSQg/bNccbI3q3GHMVRVOP6nqxrjVOTTpwmxGrVtWK8+hXb4xxnJKsQtmNnqDWJMQVxY\
bNVpsE9s0nDMpH2c+9I4jvfC9zahWlsbaW4aZWMZEv623SSMjtgVSTxGTT7FQpQOCRxPMsJUdi0E\
WcDZnHp8u+Q6xD1SQvl2nlK9U2DxCKTeso9SZnrFZXzN6+jKlSYFFyyNP2Z8yjpGTUTXkIqCgYKN\
lbRbJ+u1uKfSyUR/h28Ou1eJu1t6bUrGk1bTNZRlb7/yVtritbqOj0gMR9RY29g6ympEawzCKWJG\
l4xiVdfJ/XO1qjr7OYeYdB8NurH2fd3BjjEZ8oVmWQrTdkARCkwZhrMVk1YDHPJW2M4AKAymJKCq\
zzCtF2TtveynINwsV5j9qT1g4tLgJSVYn3enx3IC/Ogmi4ep1eobdLjQKpNPToldTDSKsV1glpFR\
y8QevXDp5JOp6PCpvvhP4K0+HDOsePbQ7pgF0zYmutrrdZYSctGlkUjCrtmuNy05e2qIirABpoTg\
o7FfIVvPLsstiBnnfxzcO+IXfldmvs6wNytpgaykIO+GoF4VKdnZPrQmy5rdjWTc9Xbt5M2K1eXM\
KUSCjAY89q5837IqbIQl7uG16WvhpvGsHI3PIm27LKlemMlxGPIVsm4sOUMTZHp7SKq2cce14pxc\
2dkWp0DJdLiyqyspSZitsJC1oyUtF2HWQUT2xlo7vVdkmstQch6pM33fdsHsyyhV3VawVtnXbF4e\
IyQOKzvKCznKAVLqLpxV+MNrQaju6dg/oFg0VmpDhu21e0kue2UQyOJc2lbYJQGlfVcBS9qUwQJN\
riwQ3o2FFmXR1cDICAiHIdwiHlDzf8NX3BM5x37Y+Px+OPj/AJ/HP889WPKuMZzjtn4fpx+3SdoD\
6Q94fZo8+flj6/v0elx8s/7cft1qHjR/Sb3j92vPtn55+n7dX/2Ef7sfr042H6uyyJlfG1Bln7iN\
jLreqpVX8g2USTcs2k9OsYtwu2UcEWbkcESdHFA66KyRVugVElC8lHU3PW+3HFfCPL3Jmv1y1zfc\
f8Z7zulNUvCZMlY2esazZ3SKbgUSrtmUYZTENoaxwHkvInsjBn2JHYnEen028cpcdabsDZ66j2vd\
tX1y3eTIuJtOuurtGudZVK2MyomQLsEIuRgJl4FjCRwlFiY5dStV2iUag19xAUOpxdWBZqKRZVgy\
BSdFymAnZvnU86BeYfumTgE126r584MmZIhSdJClKHDzyf4wuaOatlHsXK/JGzboYbftw1FpZzHr\
SMC5jFlWp1VPK2u06zIsZGcFZVKwNiWZFiScpSl1lcS6JwfwfXqV/GXHOp6yuCAxNOKV4T3lyvDM\
u8LrYXJMXlxOcJkh7SxfazCM8xDGEPLCLsbt8jSt2vmOYacqlfpClBwbjAXsBBEbt4UuR8qVGAyV\
lCywrVuVJs1QsreRx9DOESEcCgSkMmaD1Vu3/XIf4nuTKbWfCr4cuHuNaWp06q5qpY+JXktDUa0V\
LT3eGGX9K47RYXSXVjGFdZUHIOyGqZxmsvm712GMSzTKSjxg/bUcm2jfiVvOHK+9vL3VtEbsMI2F\
udph5tEtpYRqAMFNmWZ4XUEOLee8sOtKLPziA/tAxinJvFGMe7eot/HFW6J1Um3hPBguoXjoIZXo\
UEhBMIdZwIYSl5EAEeNNI8MHESHPfiG4e4buLw2tVPI++0OsW14uIRnK+ssGse8C14mO65LMikDB\
rIMxmtKwKt6gRQ+ccoZq1YTNgquyWYAlPCByQ7YJAUu+SZh5sZjieYYziGZRlHzZxmUZR7xyxS9u\
vFbvkNnOqxhIux4NUUy5HAd2qq0dNaG3Ul5euyxgRbi5hr1DpPqNOMVQFlKRlkcRz1s5auVUTd8m\
i8F8T8S8C1Hh11BIqvH+awej01ewdp91WexPknO19XYNOHNZp2rzG0YZzOM13VZMKYV9iHAnycD7\
T93+Qtaa1bMEF6mOe6cykKAiSUGWyBfYnPztQsXiRAz5oZgWTcxRX9MSSsqit69GrGJd4e6bGFFZ\
DF0rH+4PMFRqEWXwoFjKzAX6ejYKNIVUwqgmwi27VomCpjKdCJeswm5EW96U+3a6fq1k+b2zz2vU\
7TpseT/qtMV65Tkz5e8e8yylPPl7Rz5u+MYx2xiQXa6xRDZ9gSTH5FFbmxAsOeJ4kNcbRYhhLz95\
94jxGOfPmUu+M+aWZd+0YvGj+k3vH7tZP2z88/T9usf9hH+7H69Yul6qOvtJVRFRNZI50lUjlUTU\
TOZNQhyGAxDkUIJTkOUwAYpyiBimADFEBAB15lEI4iAOOBgGhIRgkjiYyjnjtIZISxmM4Sx8JRlj\
Mc4+GcZ6+oTmKcSDlKE4SjOE45zGUZRziUZYzHOM4zjOMZxnGcZxnHfGcZ66GdmP4xtOhq/B463e\
V6dduo0iEWyzZVmoTjl2wSRSSbuch1gwhLuJFsCSp39orKsu+mBVbeGqqb5J7KyXOH4zPsPC7Bst\
/wAkeEt/X68Nsdm2f4W2Q0KJBN85zHYW452OIyViNabJYDr9Y2WNVX0+AkirtEUCJVaEonCX2gzt\
bV1uscuRsmppjCkDeEfNYMnXhiA4G2avzKDLLQoxmRm2rstNvZnD2lZNnDDjE0dyWSsLbvIqPzHs\
8yJFZUsuHseMYLOGO4WPsUVe2ePoSUklKpmGOqc9CRExYqxAtJQtIyHLRaDkaQ3jaG4mEUYuYF4x\
1214JPEPceGzQKbkzjmw07lPgpPYtQp66ytNduxcmceEsMbFTVGoXOv3FjXgv9RI/sJqzUXpQsNv\
gxfZ14hbpenodhjV+0j0PT+bt5/tw4suVNsHiogLd0EK6yVtKwYTmKG+Om+mq0zXCKU4rZ0cZwqx\
sVpTwgrJtoTf4Zw9kTIMNH2M7RdaEk2hXbNRECBGC2VIU5VH024OnFoCCRhMo1K5MdMTAVdRJRJd\
Arw/AL9nUhx3s/Gfic5k22uXsK5es33jrjbX5wdsotvrQb1i+254cT5h7FRiFynrtKA85NFqTWd6\
rJOz11qEPZKq29aSv13V7hqQWCLluTomTq4lBnOGIgfawBGWByjnEjmaHHMRFzCEodiZdeyVXDFK\
o9skblPRz/EFMdV+wbpMnxyiK1aQpFenGVji9u2NJRZRqxuuW81WWGi6yxiot+UpGxnDqQ8FARs4\
9Qm/2rkLYlYr2GQsVt82pYJcYao1jtdPbBYqHrDb3eIY85arWtRSbYdyRwOMyNIY15ScbTFJ6fhU\
4uk84R6wJF+sRyq5veyK+eVNX1CxwvD06lcl5I2Ww7IdYUQyFmOcjFI0RYq0X388qOdsszOes15c\
zdYWTaMnMvZKvGS5aNZqnXaRshd7LJ2R1HNV1CJKLt2K0kZogsommdVJEhzkIYwlC10NQCgpKmjW\
JMoKetSrAlLjGClEgsNWBCYxnOMTnEWJSx+Xfy/9uOnwXVkW4trK1NCAzWTzbxoQ7+SJWjkOTEfN\
jEsRxImcRxLHfGMYx8O3bDU6u3Vs6NHR0aOjo0dHW6Y7yPfsSXSvZGxhcbJQL3VJBOTrttqUu9g5\
6IekKdIyrORYLIrkIugqs0eNzGM2fMnDli8RXaOF0FKKxrULZJius01n0W4ezYUbDA4DQ74ljExk\
xmOcxljE4S+EhzjGcMxlGOcVSbrde0F1Fk6jS8vOFhYswnFLOMxzkZR5xOGcxlKOc4z+Gc4z8M56\
shhvxf8Acm0j3KdqxdtPyVYXSzlytd7hgSNibIu7dKHVVeyLLGM9jqlTz06xxXXe2OnzDt+463Em\
s+XWcKLY0jp0qZUdbr24b3r1OHEogp63ZSmSWHOciTEjO3XtHq0WZzJOIq11QQ5knIQ4d8Yjj1zq\
PHGyWsr7ZOL9Aub2RZnlak15WuKZgmc5my+pTYra62YnLOJENbJvTMTGSmyQpCzJEHcPvA3D7plq\
6TNGQVpyApqbtGlUOvQVboOM6WR+cpnp6rjahxFcpUK9ekTQQkJZpCFmJNu0ZoyUg7I0bgndKjWq\
ikM62mAxbCznAllbWTz9vc2Mh4zgfrri1ZdsmoCxmXshFZkEXnn7IcPPPzZOxZHMolWiElXVVbCU\
K2mpq5Ckpa+JO2Sehp6hZKsUkXOMZNNdQczZjH2sp+SPljRq/dW/o0dHSgAiIAHHIiAB1GApeR7g\
5MPAFD0mEeADvHu0f18/5dGPx/r98fzx/Hqx64bPdsUADsK1vox3eVGzuxJH8QiapBotoqBk04I1\
jUPN5RbjLt1n7KXmmVWqgz93tFNk6ZL0aAs8k9uELStcJ7hsjOYep0iwSxOC3bzHZYzIzAsnwHEQ\
VcvJiECABNln2CIHgvLvMqgwi05lrOv1YZEitsSrshe3nnyqwDGQliRESccmsId8zn5yCHDBjkVk\
uUIGDkbTrlmtqe1JfNljx5B7z6HF4+q9EJKK5YdoR09XrDdYzL35KsENXU0Z6BfSrU+MWM5leP7I\
YSAOpdtG44qDvIsDM1bM1uRfa9qxSK2RtMdI+29keKqBJBaXTJURcAZjsqUY55syAqZxNMMRhyaz\
bxXMidpVPstDTYsGUvvEvEKo597KKcZKMGE/EBIBhh3BZwihgzuJjgSU2B5QBBoJFrRnwLhtW2xU\
5GyEc75sdzb+Ep10nmjep1GRt7WUs0HGY1Go0Fm+q01LoyM/eZy1XFAkpD9oUatV2qM5eXupp9a5\
U+iVINq2ZkYSD0ewhgrKIMjafAgTAWZ23qnpesECK4EhopD9izITrLb0hwXErBNywpDUdcJiAJbC\
tGOUrRohooMMwidElSNKuxlY84+ptfXtlEcczKLgrpTzMxSsL1+2MNp22Zd1Nt7tn2Sw+0iMfvrn\
VJKeNQZ9bMCC14xxVa28p0U5tdSRaMJeIs9wt6a/bcovJxdRkGsbFoflyxyhmm+HrxGc0coWOwwv\
9IoHkK5tSss46/VbdSz463FeF0TaeOdosLpNmNpsNBENIu4srXIFpCmw7aGZX2zX1096co8T6BqK\
lZKs2C1SYYWasE5Wx6ayhtmvlPTgpNmpQV7KuE62wizaODZM2zB8C/pFlwFqbJs/rK7P9pUB/UwH\
e8Kk3EK7G5uhsduoy14krzHI9xq9Iui+KZJimnkq1ztWrs5kmMqVdl1LpARULPQ0m8nanbFqvIR1\
zj3Qx2/a2cVuR6g4nJmdGZ8Z17RjNcq4+hCzCSUqxNdthesM4wHKLRShMKAHVYMDkkfTv3dqFzMY\
ndhZCON1ABBRWj6oqSL2a6Q8+sOUEHLMSgpSZUgOa8iRXNLB4OChu9xdQ49oLgcnQ0m4hYVnKWtk\
wkawTqfStEZWmNg6a5LYH425wnZXpsfTbqGayBq/LMH0zKsG8OVAy2sq7mfk+1biGHDOw0yex7BZ\
U+jv21Nu2ZCraTk600i12HkVE2q1edCAXT6yPK2uobG9U/erXrSso6Szav5NDBlrnHWqIgkX791V\
gaqqa+y2JVN6jhiLdpqi18tU64xi3czsZgXjWdOtWKoDsqexUcsX1BV0AyMwg8cjx5PNz5ePXpzm\
O/bHf8e2O/bHbHf8/hn44/hnrTee3fPb8Py7/j2/x6NL0dGjo6NHR0aOjo0uc5z+Oc57Y7Y7/lj5\
fw6OjSf1/r+P+vR0aOjo0dHX/9k="

#define PRIVATE "043fa27f38c7a7f1f8bb4e9f6c1c24a5"

#define LOGIN_SUCCESS "^http://connect\\.mail\\.ru/oauth/success\\.html.*"

#define AUTH_REQUEST "<Request class='settings' function='authorization'><Params/></Request>"

#define MSG_AUTH_ERROR "<error><error_code>1"DRV_AUTH_ERROR_CODE"</error_code>\
                              <error_msg>"DRV_AUTH_ERROR"</error_msg></error>"

#define MSG_AUTH_CANCEL "<error><error_code>1"DRV_AUTH_CANCEL_CODE"</error_code>\
                              <error_msg>"DRV_AUTH_CANCEL"</error_msg></error>"

#define MSG_NETWORK_ERROR "<error><error_code>1"DRV_NETW_ERROR_CODE"</error_code>\
                              <error_msg>"DRV_NETW_ERROR"</error_msg></error>"

#define MSG_NETWORK_SERVER_ERROR "<error><error_code>1"DRV_SERVER_ERROR_CODE"</error_code>\
                              <error_msg>"DRV_SERVER_ERROR"</error_msg></error>"

#define MSG_INFO "<info></info>"

#define MSG_SETTINGS_SAVED_ERROR "<error><error_code>1"DRV_SETT_ERROR_CODE"</error_code>\
                              <error_msg>"DRV_SETT_ERROR"</error_msg></error>"

#define MSG_FILE_SAVE_ERROR "<error><error_code>1"DRV_FILE_SAVE_ERROR_CODE"</error_code>\
                              <error_msg>"DRV_FILE_SAVE_ERROR"</error_msg></error>"

#define RESPONSE_EMPTY "<?xml version=\"1.0\"?><response></response>"

#define NOT_USE_DEFAULT_WEBAUTH_PARSER
#define NOT_USE_DEFAULT_PROCESS_URL
#endif
